# open-cpp-utils: open_cpp_utils::optional< T > Class Template Reference

Loading...
Searching...
No Matches
open_cpp_utils::optional< T > Class Template Reference

## Public Types

using | value_type = T

## Public Member Functions

| optional (const value_type &data)
| optional (value_type &&data)
| optional (const optional &other)=default
| optional (optional &&other)=default
optional & | operator= (const optional &other)=default
optional & | operator= (optional &&other)=default
optional & | operator= (const value_type &data)
optional & | operator= (value_type &&data)
value_type & | operator+= (const value_type &data)
value_type & | operator-= (const value_type &data)
value_type & | operator*= (const value_type &data)
value_type & | operator/= (const value_type &data)
value_type & | operator%= (const value_type &data)
value_type & | operator<<= (const value_type &data)
value_type & | operator>>= (const value_type &data)
value_type & | operator|= (const value_type &data)
value_type & | operator&= (const value_type &data)
value_type & | operator^= (const value_type &data)
bool | operator() () const
| operator value_type & ()
| operator const value_type & () const
value_type * | operator-> ()
const value_type * | operator-> () const
value_type & | operator* ()
const value_type & | operator* () const
void | reset ()

The documentation for this class was generated from the following file:

- optional.h